Bug 5101 - Add %posttrans script to dracut to be able to update from ancient versions
: Add %posttrans script to dracut to be able to update from ancient versions
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-02-26 14:47 MSK by Denis Silakov
Modified: 2015-03-05 10:58 MSK (History)
1 user (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
firstlevel: qa_verified+
denis.silakov: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Denis Silakov 2015-02-26 14:47:07 MSK
If users with old ROSA releases with dracut <= 017 will try to update to the modern package base, they will get a problem with missing lsinitrd and mkinitrd symlinks (see bug #4779) due to bug in %postun script of old dracut. To handle such situations, we should add %posttrans script to modern dracut that will recreate the links if they are dropped.
Comment 1 Denis Silakov 2015-02-26 14:49:29 MSK
Advisory:

Added %posttrans script to dracut to allow updating of ROSA systems with dracut <= 017.

Build lists:
https://abf.io/build_lists/2441959
https://abf.io/build_lists/2441960

Note for testers:
This case is actual only for our certified systems. For Desktop Fresh it is enough to ensure that this update doesn't break anything.
Comment 2 FirstLevel 2015-03-04 22:45:10 MSK
I have successfully updated newly installed R4 release (32 and 64bit) and system was restarted well after rebooting
Comment 3 FirstLevel 2015-03-05 10:05:16 MSK
For R5 with latest updates I have plugged the container and updated 32 and 64bit system without issues
Comment 4 FirstLevel 2015-03-05 10:30:36 MSK
dracut-037-24
http://abf-downloads.rosalinux.ru/rosa2014.1/container/2441959/i586/main/release/
http://abf-downloads.rosalinux.ru/rosa2014.1/container/2441960/x86_64/main/release/

************************ Advisory **********************
Added %posttrans script to dracut to allow updating of ROSA systems with dracut <= 017.
********************************************************
QA Verified